## imcode.server.user
Class RolePermissionDomainObject

    java.lang.Object
      imcode.server.user.RolePermissionDomainObject

All Implemented Interfaces:
  java.io.Serializable

    public class RolePermissionDomainObject

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Method Summary
`boolean` `equals(java.lang.Object obj)`
`LocalizedMessage` `getDescription()`
`int` `getId()`
`int` `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getId

    public int getId()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### getDescription

    public LocalizedMessage getDescription()